/*
SQLyog Ultimate v9.50 
MySQL - 5.6.20 : Database - prosoftfeb18
*********************************************************************
*/


/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/`prosoftfeb18` /*!40100 DEFAULT CHARACTER SET utf8 */;

USE `prosoftfeb18`;

/*Table structure for table `javnanabavka` */

DROP TABLE IF EXISTS `javnanabavka`;

CREATE TABLE `javnanabavka` (
  `NabavkaID` int(11) NOT NULL,
  `Naziv` varchar(255) DEFAULT NULL,
  `Opis` varchar(255) DEFAULT NULL,
  `DatumOd` date DEFAULT NULL,
  `DatumDo` date DEFAULT NULL,
  `Aktivna` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`NabavkaID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `javnanabavka` */

insert  into `javnanabavka`(`NabavkaID`,`Naziv`,`Opis`,`DatumOd`,`DatumDo`,`Aktivna`) values (2,'Nabavka PC','desktop, monitor, stampac','2018-01-01','2018-02-28',1),(3,'Nabavka Server','server, monitor, stampac','2018-02-01','2018-02-28',1),(4,'Nabavka Laptop','business i professional','2018-02-06','2018-02-28',1);

/*Table structure for table `kompanija` */

DROP TABLE IF EXISTS `kompanija`;

CREATE TABLE `kompanija` (
  `KompanijaID` int(11) NOT NULL,
  `Naziv` varchar(255) DEFAULT NULL,
  `KorisnickoIme` varchar(50) DEFAULT NULL,
  `Lozinka` varchar(50) DEFAULT NULL,
  `Pib` varchar(50) DEFAULT NULL,
  `Adresa` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`KompanijaID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `kompanija` */

insert  into `kompanija`(`KompanijaID`,`Naziv`,`KorisnickoIme`,`Lozinka`,`Pib`,`Adresa`) values (1,'Dell','dell','dell','1','Adresa 1'),(2,'Lenovo','lenovo','lenovo','2','Adresa 2'),(3,'Asus','asus','asus','3','Adresa 3'),(4,'Samsung','samsung','samsung','4','Adresa 4'),(5,'HP','hp','hp','5','Adresa 5');

/*Table structure for table `partija` */

DROP TABLE IF EXISTS `partija`;

CREATE TABLE `partija` (
  `NabavkaID` int(11) NOT NULL,
  `RBPartije` int(11) NOT NULL,
  `PredmetID` int(11) DEFAULT NULL,
  `Kolicina` int(11) DEFAULT NULL,
  `NajnizaCena` decimal(12,2) DEFAULT NULL,
  `PobednikKompanijaID` int(11) DEFAULT NULL,
  PRIMARY KEY (`NabavkaID`,`RBPartije`),
  KEY `PredmetID` (`PredmetID`),
  KEY `PobednikKompanijaID` (`PobednikKompanijaID`),
  CONSTRAINT `partija_ibfk_1` FOREIGN KEY (`NabavkaID`) REFERENCES `javnanabavka` (`NabavkaID`),
  CONSTRAINT `partija_ibfk_2` FOREIGN KEY (`PredmetID`) REFERENCES `predmet` (`PredmetID`),
  CONSTRAINT `partija_ibfk_3` FOREIGN KEY (`PobednikKompanijaID`) REFERENCES `kompanija` (`KompanijaID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `partija` */

insert  into `partija`(`NabavkaID`,`RBPartije`,`PredmetID`,`Kolicina`,`NajnizaCena`,`PobednikKompanijaID`) values (2,1,3,50,NULL,NULL),(2,2,4,50,NULL,NULL),(2,3,5,25,NULL,NULL),(2,4,6,25,NULL,NULL),(3,1,3,20,NULL,NULL),(3,2,5,10,NULL,NULL),(3,3,6,10,NULL,NULL),(3,4,7,20,NULL,NULL),(4,1,1,50,NULL,NULL),(4,2,2,60,NULL,NULL);

/*Table structure for table `predmet` */

DROP TABLE IF EXISTS `predmet`;

CREATE TABLE `predmet` (
  `PredmetID` int(11) NOT NULL,
  `Naziv` varchar(255) DEFAULT NULL,
  `Opis` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`PredmetID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `predmet` */

insert  into `predmet`(`PredmetID`,`Naziv`,`Opis`) values (1,'Laptop Business','13\'\', ultrabook, 1TB HDD'),(2,'Laptop Professional','15\'\', 16GB RAM, SSD'),(3,'Monitor','24\'\', DVI, DisplayPort'),(4,'Desktop standard','Intel i7, DVD Combo, Small Tower'),(5,'Stampac Laser','Laser, A3, 5000 pages'),(6,'Stampac InkJet','InkJet, A4, 2000 pages'),(7,'Server','Intel, SSD, 50GB RAM');

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
